<?php

declare(strict_types=1);

namespace Drupal\css_custom_properties;

/**
 * Interface for StyleGeneratorService.
 */
interface CustomPropsManagerInterface {

  /**
   * Generate CSS styles for rendering.
   */
  public function getStyles(): string;

  /**
   * Generate a Drupal style tag renderer for attachments.
   *
   * @param string $id
   *   The ID to use for the HTML head tag.
   */
  public function generateStyleTag(string $id): array;

}
